/// <reference types="jquery" />
import { EventEmitter } from '@angular/core';
import { AlertService } from "../../service/alert.service";
import { FileUploadService } from "../../service/file-upload.service";
export declare class ImgUploadComponent {
    private alertService;
    private fileUploadService;
    constructor(alertService: AlertService, fileUploadService: FileUploadService);
    jyDisabled: boolean;
    jyCompress: boolean;
    limitImgNum: number;
    jySize: number;
    uploadIdFile: string[];
    uploadIdFileChange: EventEmitter<any>;
    updateUploadUrlFile(): void;
    _uploadIdFile: string[];
    _uploadUrlFile: string[];
    _limitImgNum: number;
    show: boolean;
    previewPic: string;
    uploading: boolean;
    disBtnSelect: boolean;
    percent: number;
    loaded: string;
    preBox: JQuery;
    delImg(index: number): void;
    openPreview(index: number): void;
    closePreview(): void;
    selectedFileOnChanged(input: any): void;
}
