/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from "@angular/core";
import { ValidatorControl } from "../../meta/validator.meta";
import { ValidatorService } from "../../service/validator.service";
/**
 * 验证器指令
 */
export declare class ValidatorDirective implements AfterViewInit, OnDestroy {
    private elementRef;
    private validatorService;
    private host;
    private validatorControl;
    errorMap: {
        [index: string]: string;
    };
    async: boolean;
    customValidator: any;
    validatorControlInit: EventEmitter<ValidatorControl>;
    constructor(elementRef: ElementRef, validatorService: ValidatorService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
