import { DateService } from "./date.service";
/**
 * 身份证
 */
export declare class IdCardService {
    private dateService;
    constructor(dateService: DateService);
    isDay(year: number, month: number, day: number): boolean;
    isDate6(date: string): boolean;
    isDate8(date: string): boolean;
    validate(value: string): boolean;
    getBirthday(value: string): Date;
    getGender(value: string): "FEMALE" | "MALE";
}
