import { WeChatService } from "./we-chat.service";
import { ToolsService } from "./tools.service";
import { WindowResizeService } from "./window-resize.service";
import { BrowserService } from "./browser.service";
import { TouchService } from "./touch.service";
import { CoreProvider } from "../meta/provider.meta";
import { DynamicComponentService } from "./dynamic-component.service";
import { HttpService } from "./http.service";
import { CityListService } from "./city-list.service";
import { FileUploadService } from "./file-upload.service";
import { FileService } from "./file.service";
import { LocationService } from "./location.service";
import { ModalService } from "./modal.service";
import { SelectAreaService } from "./select-area.service";
/**
 * 初始化service 在AppService中引用 保证在页面初始化执行构造函数
 */
export declare class InitService {
    private dynamicComponentService;
    private cityListService;
    private httpService;
    private fileUploadService;
    private locationService;
    private fileService;
    private browserService;
    private toolsService;
    private weChatService;
    private windowResizeService;
    private selectAreaService;
    private modalService;
    private touchService;
    constructor(dynamicComponentService: DynamicComponentService, cityListService: CityListService, httpService: HttpService, fileUploadService: FileUploadService, locationService: LocationService, fileService: FileService, browserService: BrowserService, toolsService: ToolsService, weChatService: WeChatService, windowResizeService: WindowResizeService, selectAreaService: SelectAreaService, modalService: ModalService, touchService: TouchService);
    init(coreProvider: CoreProvider): void;
}
