import { MyIScrollOptions, Scroll } from "../meta/scroll.meta";
import { ToolsService } from "./tools.service";
import { TouchService } from "./touch.service";
/**
 * 滚动条
 */
export declare class ScrollService {
    private toolsService;
    private touchService;
    constructor(toolsService: ToolsService, touchService: TouchService);
    /**
     * 解决华为手机划不动的配置
     * disablePointer: true,
     * disableTouch: false,
     * disableMouse: false,
     */
    private defaultOptions;
    private scrollMap;
    add(host: HTMLElement, options?: MyIScrollOptions, slideDownPeriod?: boolean): Scroll;
    getScrollById(id: string): Scroll;
}
