import { ScreenMode, WindowResizeType } from "../meta/window-resize.meta";
import { TouchService } from "./touch.service";
export declare class WindowResizeService {
    private touchService;
    private delayNodeNameList;
    private _height;
    readonly height: number;
    private _screenMode;
    readonly screenMode: ScreenMode;
    private windowResizeHandlerList;
    constructor(touchService: TouchService);
    init(): void;
    on(event: WindowResizeType): void;
    off(event: WindowResizeType): void;
}
