/**
 * Created by mingxindong@jianyi.tech on 2017/8/8.
 */
import { AfterViewInit, EventEmitter } from '@angular/core';
import { AreaItem } from "../../meta/select-area.meta";
import { StorageService } from "../../service/storage.service";
import { ToolsService } from "../../service/tools.service";
import { CityListService } from "../../service/city-list.service";
import { CityListParams } from "../../meta/city-list.meta";
import { LocationService } from "../../service/location.service";
import { LocationInfo } from "../../meta/location.meta";
import { AlertService } from "../../service/alert.service";
export declare class CityListComponent implements AfterViewInit {
    private cityListService;
    private locationService;
    private storageService;
    private toolsService;
    private alertService;
    constructor(cityListService: CityListService, locationService: LocationService, storageService: StorageService, toolsService: ToolsService, alertService: AlertService);
    selectCity: EventEmitter<any>;
    selectLocation: EventEmitter<any>;
    cityList: CityListParams[];
    hotCityList: AreaItem[];
    cityResult: AreaItem[];
    hasSearch: boolean;
    lastValue: string;
    disabledValue: string[];
    locationCity: LocationInfo;
    initFlag: boolean;
    monitorSearch(event: any): void;
    selectCityList(item: AreaItem): void;
    selectLocationCity(): void;
    ngAfterViewInit(): void;
}
