/// <reference types="node" />
/// <reference types="jquery" />
/**
 * Created by mingxindong@jianyi.tech on 2017/5/22.
 */
import { AfterViewInit, ElementRef, OnDestroy } from "@angular/core";
import { MyTouchEvent } from "../../meta/touch.meta";
import { SlideParams } from "../../meta/slide.meta";
import { ToolsService } from "../../service/tools.service";
import { WindowResizeService } from "../../service/window-resize.service";
export declare class SlideComponent implements AfterViewInit, OnDestroy {
    private elementRef;
    private toolsService;
    private windowResizeService;
    constructor(elementRef: ElementRef, toolsService: ToolsService, windowResizeService: WindowResizeService);
    aspectRatio: number;
    _slidePointOffset: boolean;
    slidePointOffset: boolean;
    _imgUrls: SlideParams[];
    imgUrls: SlideParams[];
    resize: () => void;
    isTouch: boolean;
    screenWidth: number;
    startX: number;
    moveX: number;
    isMove: boolean;
    index: number;
    timer: NodeJS.Timer;
    initTimer: NodeJS.Timer;
    host: JQuery;
    slideImg: JQuery;
    slidePoint: JQuery;
    slideBox: JQuery;
    reset(): void;
    touchStart(event: MyTouchEvent): void;
    touchMove(event: MyTouchEvent): void;
    touchEnd(): void;
    setTranslateX(distance: number): void;
    setPoint(obj: JQuery): void;
    setTimer(): void;
    initSlide(): void;
    init: boolean;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
