/// <reference types="jquery" />
/// <reference types="node" />
/**
 * Author: mingxindong
 * Date: 2017-12-13
 */
import { AfterViewInit, ElementRef, EventEmitter } from "@angular/core";
import { ToolsService } from "../../service/tools.service";
export declare class TextareaComponent implements AfterViewInit {
    private toolService;
    private elementRef;
    constructor(toolService: ToolsService, elementRef: ElementRef);
    limitTextLength: number;
    jyPlaceholder: string;
    content: string;
    contentChange: EventEmitter<string>;
    textBox: JQuery;
    _jyPlaceholder: string;
    _content: string;
    initFlag: boolean;
    timer: NodeJS.Timer;
    lastContent: string;
    textChange(event: any): void;
    clearTimer(): void;
    setHeight(): void;
    ngAfterViewInit(): void;
}
