/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
import { AfterViewInit, ElementRef } from "@angular/core";
import { AnimationEvent } from "@angular/animations";
import { DynamicComponentTransmitData } from "../../meta/dynamic-component.meta";
import { ToastParams } from "../../meta/toast.meta";
import { BrowserService } from "../../service/browser.service";
/**
 * 主页标签模块 只在主页使用
 */
export declare class ToastComponent implements DynamicComponentTransmitData<ToastParams>, AfterViewInit {
    private browserService;
    constructor(browserService: BrowserService);
    show: boolean;
    toastParams: ToastParams;
    toastBox: ElementRef;
    setTransmitData(toastParams: ToastParams): void;
    close(): void;
    closed(event: AnimationEvent): void;
    ngAfterViewInit(): void;
}
