/// <reference types="jquery" />
/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
import { AfterViewInit, ElementRef, EventEmitter } from "@angular/core";
import { DisabledService } from "../../service/disabled.service";
/**
 * 滚动条
 */
export declare class TimerDisabledDirective implements AfterViewInit {
    private elementRef;
    private disabledService;
    host: JQuery;
    disabledId: string;
    disabledTime: number;
    disabledText: string;
    _timerDisabled: boolean;
    timerDisabled: boolean;
    timerDisabledChange: EventEmitter<boolean>;
    constructor(elementRef: ElementRef, disabledService: DisabledService);
    ngAfterViewInit(): void;
    disabledEnd(): void;
}
