/// <reference types="jquery" />
/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
/**
 * 禁用对象
 */
export interface DisabledItem {
    element: HTMLElement | EventTarget | JQuery;
    message?: string;
    callback?: () => void;
}
/**
 * 禁用恢复回调
 */
export interface DisabledRest {
    reset: () => void;
}
/**
 * 禁用类型
 */
export declare type DisabledType = HTMLElement | EventTarget | JQuery | HTMLElement[] | EventTarget[] | DisabledItem | DisabledItem[];
