import { TransmitData } from "./dynamic-component.meta";
/**
 * 选择地区
 * Created by mingxindong@jianyi.tech on 2017/5/22.
 */
export interface Address {
    province: AreaItem;
    city: AreaItem;
    district: AreaItem;
}
export interface AreaData {
    provinceList: AreaItem[];
    cityList: AreaItem[];
    districtList: AreaItem[];
}
export interface AreaItem {
    id?: number;
    name?: string;
    code?: string;
    level?: number;
    createdTime?: number;
    parentCode?: string;
    childArea?: AreaItem[];
}
export interface AreaParams extends TransmitData {
    areaData?: AreaData;
    address?: Address;
    callback: (address: Address) => void;
}
