import { StorageService } from "./storage.service";
import { HttpService } from "./http.service";
import { CityData } from "../meta/city-list.meta";
import { CityProvider } from "../meta/provider.meta";
/**
 * city操作
 * Created by mingxindong@jianyi.tech on 2017/8/4.
 */
export declare class CityListService {
    private httpService;
    private storageService;
    constructor(httpService: HttpService, storageService: StorageService);
    private cityUrl;
    setProvider(cityProvider: CityProvider): void;
    private cityData;
    getCityData(): Promise<CityData>;
}
