/// <reference types="jquery" />
/**
 * 腾讯地图
 */
export declare class QQMapService {
    createMap(selector?: string | HTMLElement | JQuery, params?: {
        center?: LatLng;
        zoom?: number;
    }): Map;
    createPoint(x: number, y: number): Point;
    createSize(x: number, y: number): Size;
    createMarkerImage(imgUrl: string, size: Size, origin: Point, anchor: Point): MarkerImage;
    createLatLng(latitude: number, longitude: number): LatLng;
    createLabel(params: {
        position: LatLng;
        map: Map;
        content: string;
    }): Label;
    createMarker(params: {
        icon?: MarkerImage;
        map: Map;
        position: LatLng;
    }): Marker;
    createCityService(params: any): CityService;
}
export interface Map {
    setCenter?: (point: Point) => void;
    setZoom?: (zoom: number) => void;
}
export declare class Point {
}
export declare class Size {
}
export declare class MarkerImage {
}
export declare class LatLng {
}
export declare class Label {
    setStyle?: (cssT: any) => void;
}
export declare class Marker {
}
export declare class CityService {
}
