import { ToolsService } from "./tools.service";
import { HttpService } from "./http.service";
import { GetHttpData } from "../meta/storage.meta";
/**
 * 缓存
 */
export declare class StorageService {
    private toolsService;
    private httpService;
    constructor(toolsService: ToolsService, httpService: HttpService);
    DISABLED: string;
    INTERVAL_TIME: string;
    AREA: string;
    CITY: string;
    LOCATION_INFO: string;
    getSessionStorage(id: string): any;
    getSessionStorageObject(id: string, defaultValue?: any): any;
    getSessionStorageOrOtherObject(id: string, resolve: (resolve: (data: any) => void) => void, callback: (data: any) => void, intervalTime?: number): void;
    getSessionStorageOrHttpData(getHttpData: GetHttpData): void;
    setSessionStorage(id: string, value: any): void;
    setSessionStorageObject(id: string, value: any): void;
    clearSessionStorage(id: string): void;
    getLocalStorage(id: string): any;
    getLocalStorageObject(id: string, defaultValue?: any): any;
    getLocalStorageOrOtherObject(id: string, resolve: (resolve: (data: any) => void) => void, callback: (data: any) => void, intervalTime?: number): void;
    getLocalStorageOrHttpData(getHttpData: GetHttpData): void;
    setLocalStorage(id: string, value: any): void;
    setLocalStorageObject(id: string, value: any): void;
    clearLocalStorage(id: string): void;
    private validateId(id);
}
